<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Slick</title>
    <!-- owl.carousel -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.theme.default.min.css"
    />
    <link
      rel="stylesheet"
      href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
      integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p"
      crossorigin="anonymous"
    />
    <style>
      .outer {
        margin: 0 auto;
        width: 100%;
        max-width: 1400px;
      }

      #thumbs .item {
        background: #c9c9c9;
        height: auto;
        line-height: 70px;
        padding: 0px;
        margin: 2px;
        color: #fff;
        border-radius: 3px;
        text-align: center;
        cursor: pointer;
      }

      #thumbs .item h1 {
        font-size: 18px;
      }

      #thumbs .item img {
        width: 100%;
        max-width: 320px;
        height: auto;
        margin: 0 auto;
      }

      #thumbs .owl-item.active:nth-child(1) .item {
        margin-left: 0;
      }

      #thumbs .owl-item:last-child .item img {
        margin-right: 0;
      }

      #thumbs .current .item {
        background: #ff5722;
      }

      .owl-theme .owl-nav [class*="owl-"] {
        -webkit-transition: all 0.3s ease;
        transition: all 0.3s ease;
      }

      .owl-theme .owl-nav [class*="owl-"].disabled:hover {
        background-color: #d6d6d6;
      }

      #thumbs.owl-theme .owl-next,
      #thumbs.owl-theme .owl-prev {
        background: #fff;
      }
    </style>
  </head>
  <body>
    <div class="outer">
      <div id="thumbs" class="owl-carousel owl-theme">
        <div class="item">
          1
          <img src="./pic01.png" alt="pic01" />
        </div>
        <div class="item">2<img src="./pic02.png" alt="" /></div>
        <div class="item">3<img src="./pic03.png" alt="" /></div>
        <div class="item">4<img src="./pic04.png" alt="" /></div>
        <div class="item">5<img src="./pic01.png" alt="pic01" /></div>
        <div class="item">6<img src="./pic02.png" alt="" /></div>
        <div class="item">7<img src="./pic03.png" alt="" /></div>
        <div class="item">8<img src="./pic04.png" alt="" /></div>
        <div class="item">9<img src="./pic01.png" alt="pic01" /></div>
        <div class="item">10<img src="./pic02.png" alt="" /></div>
      </div>
    </div>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>
    <script>
      $(document).ready(function () {
        var thumbs = $("#thumbs");
        var syncedSecondary = true;

        thumbs
          .on("initialized.owl.carousel", function () {
            thumbs.find(".owl-item").eq(0).addClass("current");
          })
          .owlCarousel({
            items: 4,
            dots: false,
            nav: true,
            navText: [
              '<i class="fa fa-arrow-left" aria-hidden="true"></i>',
              '<i class="fa fa-arrow-right" aria-hidden="true"></i>',
            ],
            // smartSpeed: 200,
            // slideSpeed: 500,
            slideBy: 4,
            responsiveRefreshRate: 100,
            loop: true,
            responsive: {
              0: {
                items: 1,
              },
              768: {
                items: 2,
              },
              1024: {
                items: 3,
              },
              1500: {
                items: 4,
              },
            },
          })
          .on("changed.owl.carousel", syncPosition2);

        const firstActiveImgParent = $(".owl-stage .owl-item.active").first();
        const lastActiveImgParent = $(".owl-stage .owl-item.active").last();
        firstActiveImgParent.children().find("img").css("margin-left", 0);
        lastActiveImgParent.children().find("img").css("margin-right", 0);

        function syncPosition2(el) {
          // if ($(".owl-stage .owl-item").first().hasClass("active")) {
          //   console.log(this);
          //   $("body").removeClass("red");
          //   $("body").addClass("blue");
          // } else if ($("#thumbs .owl-item").last().hasClass("active")) {
          //   $("body").addClass("red");
          //   $("body").removeClass("blue");
          // }
        }

        thumbs.on("click", ".owl-item", function (e) {
          e.preventDefault();
          var number = $(this).index();
          // bigimage.data("owl.carousel").to(number, 300, true);
        });
      });
    </script>
  </body>
</html>
